Index: trunk/kernel/kern/cluster.h
===================================================================
--- trunk/kernel/kern/cluster.h	(revision 438)
+++ trunk/kernel/kern/cluster.h	(revision 440)
@@ -96,46 +96,46 @@
 typedef struct cluster_s
 {
-	spinlock_t        kcm_lock;          /*! local, protect creation of KCM allocators    */
+	spinlock_t      kcm_lock;          /*! local, protect creation of KCM allocators      */
 
     // global parameters
-	uint32_t          paddr_width;       /*! numer of bits in physical address            */
-    uint32_t          x_width;           /*! number of bits to code x_size  (can be 0)    */
-    uint32_t          y_width;           /*! number of bits to code y_size  (can be 0)    */
-	uint32_t          x_size;            /*! number of clusters in a row    (can be 1)    */
-	uint32_t          y_size;            /*! number of clusters in a column (can be 1)    */
-	cxy_t             io_cxy;            /*! io cluster identifier                        */
-    uint32_t          dqdt_root_level;   /*! index of root node in dqdt_tbl[]             */
-    uint32_t          nb_txt_channels;   /*! number of TXT channels                       */
-    uint32_t          nb_nic_channels;   /*! number of NIC channels                       */
-    uint32_t          nb_ioc_channels;   /*! number of IOC channels                       */
-    uint32_t          nb_fbf_channels;   /*! number of FBF channels                       */
+	uint32_t        paddr_width;       /*! numer of bits in physical address              */
+    uint32_t        x_width;           /*! number of bits to code x_size  (can be 0)      */
+    uint32_t        y_width;           /*! number of bits to code y_size  (can be 0)      */
+	uint32_t        x_size;            /*! number of clusters in a row    (can be 1)      */
+	uint32_t        y_size;            /*! number of clusters in a column (can be 1)      */
+	cxy_t           io_cxy;            /*! io cluster identifier                          */
+    uint32_t        dqdt_root_level;   /*! index of root node in dqdt_tbl[]               */
+    uint32_t        nb_txt_channels;   /*! number of TXT channels                         */
+    uint32_t        nb_nic_channels;   /*! number of NIC channels                         */
+    uint32_t        nb_ioc_channels;   /*! number of IOC channels                         */
+    uint32_t        nb_fbf_channels;   /*! number of FBF channels                         */
 
     // local parameters
-	uint32_t          cores_nr;          /*! actual number of cores in cluster            */
-    uint32_t          ram_size;          /*! physical memory size                         */
-    uint32_t          ram_base;          /*! physical memory base (local address)         */
-
-	core_t            core_tbl[CONFIG_MAX_LOCAL_CORES];         /*! embedded cores        */
-
-	list_entry_t      dev_root;          /*! root of list of devices in cluster           */
+	uint32_t        cores_nr;          /*! actual number of cores in cluster              */
+    uint32_t        ram_size;          /*! physical memory size                           */
+    uint32_t        ram_base;          /*! physical memory base (local address)           */
+
+	core_t          core_tbl[CONFIG_MAX_LOCAL_CORES];    /*! embedded cores               */
+
+	list_entry_t    dev_root;          /*! root of list of devices in cluster             */
 
     // memory allocators
-	ppm_t             ppm;               /*! embedded kernel page manager                 */
-	khm_t             khm;               /*! embedded kernel heap manager                 */
-	kcm_t             kcm;               /*! embedded kernel cache manager (for KCMs)     */
-
-    kcm_t           * kcm_tbl[KMEM_TYPES_NR];         /*! pointers on allocated KCMs      */
+	ppm_t           ppm;               /*! embedded kernel page manager                   */
+	khm_t           khm;               /*! embedded kernel heap manager                   */
+	kcm_t           kcm;               /*! embedded kernel KCMs manager                   */
+
+    kcm_t         * kcm_tbl[KMEM_TYPES_NR];              /*! pointers on allocated KCMs   */
 
     // RPC
-	remote_fifo_t     rpc_fifo;          /*! RPC fifo (one per cluster)                   */
-    uint32_t          rpc_threads;       /*! current number of RPC threads in cluster     */
+	remote_fifo_t   rpc_fifo[CONFIG_MAX_LOCAL_CORES];    /*! one RPC FIFO per core        */
+    uint32_t        rpc_threads[CONFIG_MAX_LOCAL_CORES]; /*! RPC threads per core         */
 
     // DQDT
-	dqdt_node_t       dqdt_tbl[CONFIG_DQDT_LEVELS_NR]; /*! embedded DQDT nodes in cluster */
+	dqdt_node_t     dqdt_tbl[CONFIG_DQDT_LEVELS_NR];     /*! embedded DQDT nodes          */
 
     // Local process manager
-    pmgr_t            pmgr;            /*! embedded process manager                       */
-
-    void            * pic_extend;      /*! PIC implementation specific extension          */
+    pmgr_t          pmgr;              /*! embedded process manager                       */
+
+    void          * pic_extend;        /*! PIC implementation specific extension          */
 }
 cluster_t;
